package com.template.services;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.evaluate.teacher.SmartEvaluateTeacher;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-01-02
 */
public interface SmartEvaluateTeacherService extends IService<SmartEvaluateTeacher> {

    public int insertSmartEvaluateTeacher(SmartEvaluateTeacher sa);

    public int updateSmartEvaluateTeacher(SmartEvaluateTeacher sa);

    public PageUtils<SmartEvaluateTeacher> queryPageSmartEvaluateTeacher(int currentPage, int pageCount, QueryWrapper<SmartEvaluateTeacher> queryWrapper);

    public int deleteSmartEvaluateTeacherById(int id);

    public SmartEvaluateTeacher getSmartEvaluateTeacherById(int id);

    public List<SmartEvaluateTeacher> getEvaluateTeacherList();

    public List<SmartEvaluateTeacher> getEvaluateTeacherByKey(QueryWrapper<SmartEvaluateTeacher> queryWrapper);

    public Double getAvgLowingScore(String term);
}
